#
# spec file for package zonefs-tools
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2020, Western Digital Corporation or its affiliates.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zonefs-tools
Version:        1.6.0
Release:        1.7
Summary:        Utilities for the Zonefs filesystem
License:        GPL-2.0-or-later
Group:          System/Filesystems
URL:            https://github.com/westerndigitalcorporation/zonefs-tools
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  m4
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(uuid)

%description
Utilities needed to create and maintain zonefs file systems under Linux.

%prep
%autosetup

%build
sh ./autogen.sh
%configure
%make_build

%install
%make_install
rm %{buildroot}/%{_sbindir}/mkfs.zonefs
ln -s %{_sbindir}/mkzonefs %{buildroot}/%{_sbindir}/mkfs.zonefs

%files
%license COPYING.GPL
%doc README.md
%{_sbindir}/mkfs.zonefs
%{_sbindir}/mkzonefs
%{_mandir}/man8/mkzonefs.8%{?ext_man}
%{_mandir}/man8/mkfs.zonefs.8%{?ext_man}

%changelog
* Mon Apr 24 2023 Andrea Manzini <andrea.manzini@suse.com>
- update to 1.6.0:
  * This release removes the build dependency on autoconf-archive and
    significantly improves the test suite.
* Fri Dec 10 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.5.2
  * Only documentation, add mkfs.zonefs manpage, and build related changes
- Use SourceURLs and fix URL
* Tue Mar 23 2021 Johannes Thumshirn <jth@kernel.org>
- Update to upstream version 1.5
  This new release fixes some problems with mkzonefs and improves the test suite.
  * mkzonefs:
  * Improved zone reset handling, forcing an all zone reset, always.
  * Use O_EXCL mode flag to open a device file to avoid formatting a device in use.
  * Fix make install directive
  * Add the new make rpm directive
  * Test suite:
  * New zio tool to execute IO operations of various types using various flags
  * Fix stale data access when running tests
  * zonefs-tests-nullblk.sh improvements (new options)
  * Add test cases related to using zonefs files as swap files
  * Various other minor improvements.
* Wed Jan 20 2021 Johannes Thumshirn <jth@kernel.org>
- Update to upstream version 1.4
  This release improves documentation and test coverage of zonefs-tools
* Mon Apr  6 2020 Johannes Thumshirn <jth@kernel.org>
- Initial packaging for openSUSE
